From f991508805a4bd05b032cc830720505ece1c5057 Mon Sep 17 00:00:00 2001
From: Duncaen <duncaen@voidlinux.org>
Date: Thu, 27 Jun 2019 16:52:10 +0200
Subject: [PATCH 1/4] libpeas: remove dead vopt_if

---
 srcpkgs/libpeas/template | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/srcpkgs/libpeas/template b/srcpkgs/libpeas/template
index 11e04e57333..76b17596be9 100644
--- a/srcpkgs/libpeas/template
+++ b/srcpkgs/libpeas/template
@@ -7,8 +7,7 @@ build_helper="gir"
 hostmakedepends="pkg-config intltool glib-devel python python3 lua51"
 makedepends="vala-devel gtk+3-devel python3-gobject-devel python-gobject-devel
  glade3-devel lua51-devel"
-depends="python3-gobject hicolor-icon-theme gjs>=1.38
- $(vopt_if python2 python-gobject)"
+depends="python3-gobject hicolor-icon-theme gjs>=1.38"
 short_desc="Gobject-based plugins engine"
 maintainer="Enno Boland <gottox@voidlinux.org>"
 license="LGPL-2.1-or-later"

From 1c8cf365b69b2dc357670fc21b8f000c3a5142b6 Mon Sep 17 00:00:00 2001
From: Duncaen <duncaen@voidlinux.org>
Date: Thu, 27 Jun 2019 16:53:47 +0200
Subject: [PATCH 2/4] suricata: fix vopt_if

---
 srcpkgs/suricata/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/suricata/template b/srcpkgs/suricata/template
index 77485065135..e25354ea81d 100644
--- a/srcpkgs/suricata/template
+++ b/srcpkgs/suricata/template
@@ -3,7 +3,7 @@ pkgname=suricata
 version=4.1.4
 revision=1
 build_style=gnu-configure
-build_helper="$(vopt_if rust_support rust)"
+build_helper="$(vopt_if rust rust)"
 configure_args="--disable-gccmarch-native $(vopt_enable rust)
  $(vopt_enable lua) $(vopt_enable hiredis) --disable-suricata-update
  --disable-static --enable-non-bundled-htp"

From 3d1f0005507e8336833e726b618e843e5bc09e51 Mon Sep 17 00:00:00 2001
From: Duncaen <duncaen@voidlinux.org>
Date: Thu, 27 Jun 2019 16:54:33 +0200
Subject: [PATCH 3/4] opkg: rebuild with ssl actually enabled

---
 srcpkgs/opkg/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/opkg/template b/srcpkgs/opkg/template
index 8f950024556..012c333afdb 100644
--- a/srcpkgs/opkg/template
+++ b/srcpkgs/opkg/template
@@ -1,10 +1,10 @@
 # Template file for 'opkg'
 pkgname=opkg
 version=0.4.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-sha256 --without-libsolv --with-static-libopkg
- $(vopt_enable lz4) $(vopt_if openssl '--enable-openssl --enable-ssl-curl')
+ $(vopt_enable lz4) $(vopt_if ssl '--enable-openssl --enable-ssl-curl')
  $(vopt_enable gpg)"
 hostmakedepends="pkg-config libtool automake"
 makedepends="libarchive-devel libcurl-devel $(vopt_if gpg gpgme-devel)

From 2c1aa77710fb2a621b19881b4413e89ddb82514a Mon Sep 17 00:00:00 2001
From: Duncaen <duncaen@voidlinux.org>
Date: Thu, 27 Jun 2019 16:55:56 +0200
Subject: [PATCH 4/4] mpd: remove dead soxr option and fix libao build option

---
 srcpkgs/mpd/template | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/mpd/template b/srcpkgs/mpd/template
index e279c7ef865..f0693c4e620 100644
--- a/srcpkgs/mpd/template
+++ b/srcpkgs/mpd/template
@@ -1,7 +1,7 @@
 # Template file for 'mpd'
 pkgname=mpd
 version=0.21.10
-revision=1
+revision=2
 build_style=meson
 configure_args="-Dopus=enabled -Dmikmod=enabled -Dneighbor=true
  -Dsoundcloud=enabled -Dpipe=true -Dtwolame=enabled -Dbzip2=enabled
@@ -10,7 +10,7 @@ configure_args="-Dopus=enabled -Dmikmod=enabled -Dneighbor=true
  -Dfluidsynth=disabled -Dgme=disabled -Dwildmidi=disabled -Dsidplay=disabled
  -Dshine=disabled -Ddocumentation=true -Daudiofile=enabled -Dtremor=disabled
  -Djack=$(vopt_if jack enabled disabled) -Dlame=$(vopt_if lame enabled disabled)
- -Dao=$(vopt_if ao enabled disabled) -Dmpcdec=$(vopt_if mpcdec enabled disabled)
+ -Dao=$(vopt_if libao enabled disabled) -Dmpcdec=$(vopt_if mpcdec enabled disabled)
  -Dsndio=$(vopt_if sndio enabled disabled) -Dpulse=$(vopt_if pulseaudio enabled disabled)
  -Dwavpack=$(vopt_if wavpack enabled disabled) -Dcdio_paranoia=$(vopt_if cdio enabled disabled)
  -Dopenal=$(vopt_if openal enabled disabled)"
@@ -25,8 +25,7 @@ makedepends="avahi-glib-libs-devel boost-devel faad2-devel ffmpeg-devel
  $(vopt_if jack 'jack-devel') $(vopt_if lame 'lame-devel')
  $(vopt_if libao 'libao-devel') $(vopt_if mpcdec 'libmpcdec-devel')
  $(vopt_if pulseaudio 'pulseaudio-devel') $(vopt_if sndio 'sndio-devel')
- $(vopt_if wavpack 'wavpack-devel') $(vopt_if soxr 'libsoxr-devel')
- $(vopt_if openal 'libopenal-devel')"
+ $(vopt_if wavpack 'wavpack-devel') $(vopt_if openal 'libopenal-devel')"
 short_desc="Flexible, powerful, server-side application for playing music"
 maintainer="maxice8 <thinkabit.ukim@gmail.com>"
 license="GPL-2.0-or-later"
